Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
portage forcing nvidia-drivers downgrade from overlay?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
airyk
Tux's lil' helper
Tux's lil' helper


Joined: 17 Jan 2004
Posts: 93
Location: Salem, CT

PostPosted: Fri Jul 17, 2009 4:46 am    Post subject: portage forcing nvidia-drivers downgrade from overlay? Reply with quote

Currently on my system I have nvidia-drivers-180.29 installed. I doing an emerge world, and it's trying to downgrade nvidia-drivers to 173.14.18-r10 (from the sabayon overlay). Why would it be doing this? Even when I just run "emerge -pv nvidia-drivers" it tried to downgrade too, so I'm guessing it's not due to another dependency being pulled in by the emerge world. I don't have nvidia-drivers masked or anything either ("grep nvidia /etc/portage/*" doesn't return anything)

thanks

EDIT: Well I was able to take care of the problem by deleting the the "nvidia-drivers" folder from the 2 overlays I have installed that had that package. But I'm still curious if this is some weird limitation of the system, or if I did something wrong. It just seems odd that it would take preference to a lower version in an overlay over a newer version in portage...
Back to top
View user's profile Send private message
dol-sen
Developer
Developer


Joined: 30 Jun 2002
Posts: 2803
Location: Richmond, BC, Canada

PostPosted: Fri Jul 17, 2009 1:42 pm    Post subject: Reply with quote

There was probably a package.mask file in one of the overlays
_________________
Brian
Porthole, the Portage GUI frontend irc@freenode: #gentoo-guis, #porthole, Blog
layman, gentoolkit, CoreBuilder, esearch...
Back to top
View user's profile Send private message
nixnut
Bodhisattva
Bodhisattva


Joined: 09 Apr 2004
Posts: 10974
Location: the dutch mountains

PostPosted: Fri Jul 17, 2009 5:17 pm    Post subject: Reply with quote

Moved from Portage & Programming to Unsupported Software.
Sabayon overlay stuff, so moved here
_________________
Please add [solved] to the initial post's subject line if you feel your problem is resolved. Help answer the unanswered

talk is cheap. supply exceeds demand
Back to top
View user's profile Send private message
airyk
Tux's lil' helper
Tux's lil' helper


Joined: 17 Jan 2004
Posts: 93
Location: Salem, CT

PostPosted: Fri Jul 17, 2009 7:00 pm    Post subject: Reply with quote

Ah, cool, I didn't know that overlays could each have their own package.* files.

Is there a place that I can make changes to the overlay-specific package.* files that won't get overwritten everytime I update the overlays?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum